

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>J784S4 DMA Device Descriptions &mdash; TISCI User Guide</title>
  

  
  
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  
    <link rel="stylesheet" href="../../_static/theme_overrides.css" type="text/css" />
  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="TISCI User Guide" href="../../index.html"/>
        <link rel="up" title="Chapter 5: SoC Family Specific Documentation" href="../index.html"/>
        <link rel="next" title="J784S4 PSI-L Device Descriptions" href="psil_cfg.html"/>
        <link rel="prev" title="J784S4 Ring Accelerator Device Descriptions" href="ra_cfg.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">
  <header id="tiHeader">
    <div class="top">
      <ul>
        <li id="top_logo">
          <a href="http://www.ti.com">
            <img src="../../_static/img/ti_logo.png"/>
          </a>
        </li>
      </ul>
    </div>
    <div class="nav"></div>
  </header>
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> TISCI
          

          
          </a>

          
            
            
              <div class="version">
                11.00.04
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
                <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../1_intro/index.html">Chapter 1: Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../2_tisci_msgs/index.html">Chapter 2: TISCI Message Documentation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../3_boardcfg/index.html">Chapter 3: Board Configuration</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../4_trace/index.html">Chapter 4: Interpreting Trace Data</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Chapter 5: SoC Family Specific Documentation</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr1">AM65x SR1</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am65x-sr2">AM65x SR2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am64x">AM64x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62x">AM62x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62ax">AM62Ax</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62px">AM62Px</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am275x">AM275x</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#am62lx">AM62Lx</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721e">J721E</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j7200">J7200</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j721s2">J721S2</a></li>
<li class="toctree-l2"><a class="reference internal" href="../index.html#j722s">J722S</a></li>
<li class="toctree-l2 current"><a class="reference internal" href="../index.html#j784s4">J784S4</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="hosts.html">J784S4 Host Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="devices.html">J784S4 Devices Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="clocks.html">J784S4 Clock Identifiers</a></li>
<li class="toctree-l3"><a class="reference internal" href="pll_data.html">J784S4 PLL Defaults</a></li>
<li class="toctree-l3"><a class="reference internal" href="resasg_types.html">J784S4 Board Configuration Resource Assignment Type Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="interrupt_cfg.html">J784S4 Interrupt Management Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="ra_cfg.html">J784S4 Ring Accelerator Device Descriptions</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">J784S4 DMA Device Descriptions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#introduction">Introduction</a></li>
<li class="toctree-l4"><a class="reference internal" href="#dma-device-ids">DMA Device IDs</a></li>
<li class="toctree-l4"><a class="reference internal" href="#dma-channel-and-flow-indices">DMA Channel and Flow Indices</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="psil_cfg.html">J784S4 PSI-L Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="proxy_cfg.html">J784S4 Proxy Device Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="sec_proxy.html">J784S4 Secure Proxy Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="processors.html">J784S4 Processor Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="firewalls.html">J784S4 Firewall Descriptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="soc_devgrps.html">J784S4 Device Group descriptions</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../6_topic_user_guides/index.html">Chapter 6: Topic User Guides</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../../index.html">TISCI</a>
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          

 



<div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../../index.html">Docs</a> &raquo;</li>
      
          <li><a href="../index.html">Chapter 5: SoC Family Specific Documentation</a> &raquo;</li>
      
    <li>J784S4 DMA Device Descriptions</li>
      <li class="wy-breadcrumbs-aside">
        
          
        
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="j784s4-dma-device-descriptions">
<h1>J784S4 DMA Device Descriptions<a class="headerlink" href="#j784s4-dma-device-descriptions" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This chapter provides information on the DMA devices in the J784S4 SoC.  Some
System Firmware TISCI messages take device specific inputs. This chapter
provides information on the valid values for DMA TISCI message parameters.</p>
</div>
<div class="section" id="dma-device-ids">
<span id="pub-soc-j784s4-dma-device-ids"></span><h2>DMA Device IDs<a class="headerlink" href="#dma-device-ids" title="Permalink to this headline">¶</a></h2>
<p>Some System Firmware TISCI message APIs require the DMA device ID be provided as
part of the request. Based on <a class="reference internal" href="devices.html"><span class="doc">J784S4 Device IDs</span></a> these are the
valid DMA device IDs.</p>
<table border="1" class="docutils">
<colgroup>
<col width="65%" />
<col width="35%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">DMA Device Name</th>
<th class="head">DMA Device ID</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>J784S4_DEV_NAVSS0_BCDMA_0</td>
<td>281</td>
</tr>
<tr class="row-odd"><td>J784S4_DEV_NAVSS0_UDMAP_0</td>
<td>319</td>
</tr>
<tr class="row-even"><td>J784S4_DEV_MCU_NAVSS0_UDMAP_0</td>
<td>329</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="dma-channel-and-flow-indices">
<span id="pub-soc-j784s4-dma-channels-and-flows"></span><h2>DMA Channel and Flow Indices<a class="headerlink" href="#dma-channel-and-flow-indices" title="Permalink to this headline">¶</a></h2>
<p>This section describes valid DMA channel indexes for each DMA channel type.
Receive flow index range type information is also described if applicable to the
DMA being described.</p>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">Resources marked as reserved for use by TIFS <strong>cannot</strong> be assigned to a
host within the RM Board Configuration resource assignment array.  The RM
Board Configuration is rejected if an overlap with a reserved resource is
detected.</p>
</div>
<p><strong>NAVSS0_BCDMA_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="42%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Tx Channel Type</th>
<th class="head">Tx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>SPLIT_TR_TX_CHAN</td>
<td>0 to 15</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="42%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Channel Type</th>
<th class="head">Rx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>SPLIT_TR_RX_CHAN</td>
<td>0 to 31</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="44%" />
<col width="56%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Flow Type</th>
<th class="head">Rx Flow Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>SPLIT_TR_TX_CHAN</td>
<td>0 to 15</td>
</tr>
<tr class="row-odd"><td>SPLIT_TR_RX_CHAN</td>
<td>16 to 47</td>
</tr>
</tbody>
</table>
<p><strong>NAVSS0_UDMAP_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="42%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Tx Channel Type</th>
<th class="head">Tx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>TX_UHCHAN</td>
<td>0 to 1</td>
</tr>
<tr class="row-odd"><td>TX_HCHAN</td>
<td>2 to 3</td>
</tr>
<tr class="row-even"><td>TX_CHAN</td>
<td>4 to 84</td>
</tr>
<tr class="row-odd"><td>TX_ECHAN</td>
<td>85 to 340</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="42%" />
<col width="58%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Channel Type</th>
<th class="head">Rx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>RX_UHCHAN</td>
<td>0 to 1</td>
</tr>
<tr class="row-odd"><td>RX_HCHAN</td>
<td>2 to 3</td>
</tr>
<tr class="row-even"><td>RX_CHAN</td>
<td>4 to 81</td>
</tr>
</tbody>
</table>
<p><strong>NOTE</strong>: The host that owns configurable, also known as common or shared, flows
is able to delegate them to another host for configuration in order to aid some
use case configurations.  The configurable flows can be delegated using
<a class="reference internal" href="../../2_tisci_msgs/rm/rm_udmap.html#pub-rm-public-udmap-flow-delegate"><span class="std std-ref">TISCI_MSG_RM_UDMAP_FLOW_DELEGATE</span></a></p>
<table border="1" class="docutils">
<colgroup>
<col width="41%" />
<col width="59%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Flow Type</th>
<th class="head">Rx Flow Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>DEFAULT</td>
<td>0 to 81</td>
</tr>
<tr class="row-odd"><td>CONFIGURABLE</td>
<td>82 to 223</td>
</tr>
</tbody>
</table>
<p><strong>MCU_NAVSS0_UDMAP_0</strong></p>
<table border="1" class="docutils">
<colgroup>
<col width="57%" />
<col width="43%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Tx Channel Type</th>
<th class="head">Tx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>TX_HCHAN</td>
<td>0 to 1</td>
</tr>
<tr class="row-odd"><td>TX_CHAN</td>
<td>2 to 45</td>
</tr>
<tr class="row-even"><td>TX_CHAN
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>46 to 47</td>
</tr>
</tbody>
</table>
<table border="1" class="docutils">
<colgroup>
<col width="57%" />
<col width="43%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Channel Type</th>
<th class="head">Rx Channel Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>RX_HCHAN</td>
<td>0 to 1</td>
</tr>
<tr class="row-odd"><td>RX_CHAN</td>
<td>2 to 44</td>
</tr>
<tr class="row-even"><td>RX_CHAN
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>45 to 47</td>
</tr>
</tbody>
</table>
<p><strong>NOTE</strong>: The host that owns configurable, also known as common or shared, flows
is able to delegate them to another host for configuration in order to aid some
use case configurations.  The configurable flows can be delegated using
<a class="reference internal" href="../../2_tisci_msgs/rm/rm_udmap.html#pub-rm-public-udmap-flow-delegate"><span class="std std-ref">TISCI_MSG_RM_UDMAP_FLOW_DELEGATE</span></a></p>
<table border="1" class="docutils">
<colgroup>
<col width="60%" />
<col width="40%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Rx Flow Type</th>
<th class="head">Rx Flow Index Range</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>DEFAULT</td>
<td>0 to 44</td>
</tr>
<tr class="row-odd"><td>DEFAULT
(<strong>RESERVED BY SYSTEM FIRMWARE</strong>)</td>
<td>45 to 47</td>
</tr>
<tr class="row-even"><td>CONFIGURABLE</td>
<td>48 to 95</td>
</tr>
</tbody>
</table>
</div>
</div>


           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="psil_cfg.html" class="btn btn-neutral float-right" title="J784S4 PSI-L Device Descriptions" accesskey="n">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="ra_cfg.html" class="btn btn-neutral" title="J784S4 Ring Accelerator Device Descriptions" accesskey="p"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
      <a href="http://www.ti.com/corp/docs/legal/copyright.shtml">&copy; Copyright 2016-2025</a>, Texas Instruments Incorporated. All rights reserved. <br>
      <a href="http://www.ti.com/corp/docs/legal/trademark/trademrk.htm">Trademarks</a> | <a href="http://www.ti.com/corp/docs/legal/privacy.shtml">Privacy policy</a> | <a href="http://www.ti.com/corp/docs/legal/termsofuse.shtml">Terms of use</a> | <a href="http://www.ti.com/lsds/ti/legal/termsofsale.page">Terms of sale</a>

    </p>
  </div> 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'11.00.04',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>
      <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

    <script src="http://www.ti.com/assets/js/headerfooter/analytics.js" type="text/javascript" charset="utf-8"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
        });

      var menuHeight = window.innerHeight;

      var contentOffset = $(".wy-nav-content-wrap").offset();
      var contentHeight = $(".wy-nav-content-wrap").height();
      var contentBottom = contentOffset.top + contentHeight;

      function setNavbarTop() {
          var scrollTop = $(window).scrollTop();
          var maxTop = scrollTop + menuHeight;

          // If past the header
          if (scrollTop > contentOffset.top && maxTop < contentBottom) {
            stickyTop = scrollTop - contentOffset.top;
          } else if (maxTop > contentBottom) {
            stickyTop = scrollTop - contentOffset.top - (maxTop - contentBottom);
          } else {
            stickyTop = 0;
          }

          $(".wy-nav-side").css("top", stickyTop);
      }

      $(document).ready(function() {
        setNavbarTop();
        $(window).scroll(function () {
          setNavbarTop();
        });

        $('body').on("mousewheel", function () {
            // Remove default behavior
            event.preventDefault();
            // Scroll without smoothing
            var wheelDelta = event.wheelDelta;
            var currentScrollPosition = window.pageYOffset;
            window.scrollTo(0, currentScrollPosition - wheelDelta);
        });
      });
  </script>
   

</body>
</html>